VERSION = 1.79
bindir = /usr/bin
datadir = /usr/share
stylesheetdir = $(datadir)/sgml/docbook/dsssl-stylesheets-$(VERSION)
mandir = /usr/share/man
INSTALL = install -p

all: install

install: install-bin install-dtd install-dsl install-img install-man install-misc

install-bin:
	$(INSTALL) -d -m755 $(bindir)
	$(INSTALL) -m755 bin/collateindex.pl $(bindir)

install-dtd:
	$(INSTALL) -d -m755 $(stylesheetdir)/dtds/decls
	$(INSTALL) -m644 dtds/decls/*.dcl $(stylesheetdir)/dtds/decls
	$(INSTALL) -d -m755 $(stylesheetdir)/dtds/dbdsssl
	$(INSTALL) -m644 dtds/dbdsssl/*.dtd $(stylesheetdir)/dtds/dbdsssl
	$(INSTALL) -d -m755 $(stylesheetdir)/dtds/html
	$(INSTALL) -m644 dtds/html/*.dtd $(stylesheetdir)/dtds/html
	$(INSTALL) -m644 dtds/html/*.dcl $(stylesheetdir)/dtds/html
	$(INSTALL) -m644 dtds/html/*.gml $(stylesheetdir)/dtds/html
	$(INSTALL) -m644 dtds/html/catalog $(stylesheetdir)/dtds/html
	$(INSTALL) -d -m755 $(stylesheetdir)/dtds/imagelib
	$(INSTALL) -m644 dtds/imagelib/*.dtd $(stylesheetdir)/dtds/imagelib
	$(INSTALL) -d -m755 $(stylesheetdir)/dtds/olink
	$(INSTALL) -m644 dtds/olink/*.dtd $(stylesheetdir)/dtds/olink

install-dsl:
	$(INSTALL) -d -m755 $(stylesheetdir)/lib
	$(INSTALL) -m644 lib/*.dsl $(stylesheetdir)/lib
	$(INSTALL) -d -m755 $(stylesheetdir)/common
	$(INSTALL) -m644 common/catalog $(stylesheetdir)/common
	$(INSTALL) -m644 common/*.dsl $(stylesheetdir)/common
	$(INSTALL) -m644 common/*.ent $(stylesheetdir)/common
	$(INSTALL) -m644 common/*.template $(stylesheetdir)/common
	$(INSTALL) -m644 common/*.pl $(stylesheetdir)/common
	$(INSTALL) -d -m755 $(stylesheetdir)/html
	$(INSTALL) -m644 html/*.dsl $(stylesheetdir)/html
	$(INSTALL) -m644 html/catalog $(stylesheetdir)/html
	$(INSTALL) -d -m755 $(stylesheetdir)/print
	$(INSTALL) -m644 print/*.dsl $(stylesheetdir)/print
	$(INSTALL) -m644 print/catalog $(stylesheetdir)/print
	$(INSTALL) -d -m755 $(stylesheetdir)/olink
	$(INSTALL) -m644 olink/*.dsl $(stylesheetdir)/olink
	$(INSTALL) -d -m755 $(stylesheetdir)/frames
	$(INSTALL) -m644 frames/*.dsl $(stylesheetdir)/frames
	$(INSTALL) -m644 frames/*.htm $(stylesheetdir)/frames
	$(INSTALL) -m644 frames/*.css $(stylesheetdir)/frames
	$(INSTALL) -m644 frames/*.js $(stylesheetdir)/frames
	$(INSTALL) -m644 frames/README $(stylesheetdir)/frames

install-img:
	$(INSTALL) -d -m755 $(stylesheetdir)/images/callouts
	$(INSTALL) -m644 images/*.eps $(stylesheetdir)/images
	$(INSTALL) -m644 images/*.gif $(stylesheetdir)/images
	$(INSTALL) -m644 images/*.pdf $(stylesheetdir)/images
	$(INSTALL) -m644 images/callouts/*.eps $(stylesheetdir)/images/callouts
	$(INSTALL) -m644 images/callouts/*.gif $(stylesheetdir)/images/callouts
	$(INSTALL) -m644 images/callouts/*.pdf $(stylesheetdir)/images/callouts

#install-test:
#	$(INSTALL) -d -m755 $(stylesheetdir)/test/{cases,imagelib,xml}
#	$(INSTALL) -m644 test/*.* $(stylesheetdir)/test
#	$(INSTALL) -m644 test/cases/*.* $(stylesheetdir)/test/cases
#	$(INSTALL) -m644 test/imagelib/*.* $(stylesheetdir)/test/imagelib
#	$(INSTALL) -m644 test/xml/*.* $(stylesheetdir)/test/xml

install-man:
	$(INSTALL) -d -m755 $(mandir)/man1
	$(INSTALL) -m644 bin/collateindex.pl.1 $(mandir)/man1

install-misc:
	$(INSTALL) -d -m755 $(stylesheetdir)
	$(INSTALL) -m644 catalog $(stylesheetdir)
	$(INSTALL) -m644 VERSION $(stylesheetdir)
